package com.yihu.jw.restmodel.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Created by Trick on 2019/9/23.
 */
@ApiModel(value = "WlyyInspectionVO", description = "检查检验")
public class WlyyInspectionVO extends UuidIdentityVO {

    private String outpatientId;//门诊id',
    private String prescriptionId;//处方id',
    private String chargeAmount;//单价
    private String dept;//执行科室
    private String deptName;//执行科室名称
    private String groupName;//检查检验方法
    private Integer quantity;//数量
    private String frequency;//组号

    private String parentCode;//检查检验父节点
    private String parentName;//检查检验

    private String code;//项目编码',
    private String name;//(检查方法)',
    private String information;//病史与体征',
    private String checkEquip;//类别',

    private String checkPartName;//部位名称',

    private String checkPart;//部位',
    private String adresult;//辅助检查治疗',
    private String goal;//检查目的',

    //病理相关
    private String opview;//手术所见-病理申请单必填',
    private String specimenName;//标本名称-病理申请单必填',
    private String specimenNum;//标本数量-病理申请单必填',
    private String ywjcResult;//以往检查结果-病理申请单选填',
    private String ywjcDate;//以往检查时间-病理申请单选填 格式：yyyy-mm-dd',
    private String blzd;//病理诊断-病理申请单选填',
    private String fixationfluid;//固定液

//    private String chargeUnit;//项目单位',
//    private String chargeAmount;//项目单价',
//    private String pyCode;//拼音码',
//    private String dCode;//自定义码',
//    private String execUnit;//执行科室',
//    private String winNo;//院区',
    private Integer del;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date createTime;//,

    private String checkbox;//是否拆分 1是,0否
    private String mzpg;//麻醉评估 0否，1有
    private String sfzg;//是否做过 0 否 和 1是
    private String orgCode ;
    private String orgName;

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getChargeAmount() {
        return chargeAmount;
    }

    public void setChargeAmount(String chargeAmount) {
        this.chargeAmount = chargeAmount;
    }

    public String getOutpatientId() {
        return outpatientId;
    }

    public void setOutpatientId(String outpatientId) {
        this.outpatientId = outpatientId;
    }

    public String getPrescriptionId() {
        return prescriptionId;
    }

    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getFixationfluid() {
        return fixationfluid;
    }

    public void setFixationfluid(String fixationfluid) {
        this.fixationfluid = fixationfluid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getInformation() {
        return information;
    }

    public void setInformation(String information) {
        this.information = information;
    }

    public String getCheckEquip() {
        return checkEquip;
    }

    public void setCheckEquip(String checkEquip) {
        this.checkEquip = checkEquip;
    }

    public String getCheckPart() {
        return checkPart;
    }

    public void setCheckPart(String checkPart) {
        this.checkPart = checkPart;
    }

    public String getAdresult() {
        return adresult;
    }

    public void setAdresult(String adresult) {
        this.adresult = adresult;
    }

    public String getGoal() {
        return goal;
    }

    public void setGoal(String goal) {
        this.goal = goal;
    }

    public String getOpview() {
        return opview;
    }

    public void setOpview(String opview) {
        this.opview = opview;
    }

    public String getSpecimenName() {
        return specimenName;
    }

    public void setSpecimenName(String specimenName) {
        this.specimenName = specimenName;
    }

    public String getSpecimenNum() {
        return specimenNum;
    }

    public void setSpecimenNum(String specimenNum) {
        this.specimenNum = specimenNum;
    }

    public String getYwjcResult() {
        return ywjcResult;
    }

    public void setYwjcResult(String ywjcResult) {
        this.ywjcResult = ywjcResult;
    }

    public String getYwjcDate() {
        return ywjcDate;
    }

    public void setYwjcDate(String ywjcDate) {
        this.ywjcDate = ywjcDate;
    }

    public String getBlzd() {
        return blzd;
    }

    public void setBlzd(String blzd) {
        this.blzd = blzd;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public String getCheckbox() {
        return checkbox;
    }

    public void setCheckbox(String checkbox) {
        this.checkbox = checkbox;
    }

    public String getMzpg() {
        return mzpg;
    }

    public void setMzpg(String mzpg) {
        this.mzpg = mzpg;
    }

    public String getSfzg() {
        return sfzg;
    }

    public void setSfzg(String sfzg) {
        this.sfzg = sfzg;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getCheckPartName() {
        return checkPartName;
    }

    public void setCheckPartName(String checkPartName) {
        this.checkPartName = checkPartName;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
